/** @file  tst_psConfigure.c
 *
 *  @brief Test driver for psconfigure functions
 *
 *  This test driver contains the following test points for psConfigure
 *  functions.
 *    1) Return current psLib version
 *
 *  Return:   Number of test points which failed
 *
 *  @author  Ross Harman, MHPCC
 *
 *  @version $Revision: 1.1 $  $Name: not supported by cvs2svn $
 *  @date  $Date: 2005-01-03 23:33:20 $
 *
 *  Copyright 2004 Maui High Performance Computing Center, University of Hawaii
 *
 */

#include "pslib.h"
#include "psTest.h"


static psS32 psLibVersion00(void);


testDescription tests[] = {
                              {psLibVersion00, 0, "Return current psLib version", 0, false},
                              {NULL}
                          };


psS32 main(psS32 argc, char* argv[])
{
    psLogSetLevel(PS_LOG_INFO);

    return(!runTestSuite( stderr, "psConfigure", tests, argc, argv));
}


static psS32 psLibVersion00(void)
{
    char *stringVal = NULL;

    stringVal = psLibVersion();
    psLogMsg(__func__,PS_LOG_INFO,"Current psLib version is: %s", stringVal);
    psFree(stringVal);


    return 0;
}

